enum PageProtection {
  /// The page can be accessed without authentication.
  public,

  /// The page can only be accessed with authentication.
  protected,

  /// The page protection is unknown, and the default one should be used.
  none,
}
